#!/bin/sh
#
# 2022/12/14
# wsl2_setup1 
# --------------------------------------
# ubuntuを最新にします。
#
sudo apt update
sudo apt upgrade
#
# 日本語パック
#
sudo apt -y install language-selector-common
#
sudo apt -y install language-pack-ja
sudo apt -y install language-pack-gnome-ja
#
sudo apt -y install $(check-language-support -l ja)
#
sudo update-locale LANG=ja_JP.UTF8
#
# icon
#
sudo apt -y install yaru-theme-gtk
sudo apt -y install yaru-theme-icon
sudo apt -y install adwaita-icon-theme-full
#
# 日本語入力Fcitx,xset
#
sudo apt -y install fcitx-mozc dbus-x11
sudo sh -c "dbus-uuidgen > /var/lib/dbus/machine-id"
sudo apt -y install x11-xserver-utils
#
# .profile設定
# 複数回実行すると同じものが追加される。
#
cat <<EOF >> ~/.profile
export GTK_IM_MODULE=fcitx
export QT_IM_MODULE=fcitx
export XMODIFIERS=@im=fcitx
export DefaultIMModule=fcitx
if [ $SHLVL = 1 ] ; then
    fcitx-autostart > /dev/null 2>&1
    xset -r 49
fi
EOF
#
# 起動時にsystemdを開始
#
cat <<EOF | sudo tee /etc/wsl.conf > /dev/null
[boot]
systemd = true
EOF
#
echo wsl2を再起動してください。
#
exit
